export const deviceTypeDict = [
  { label: "直连设备", value: 1, elTagType: "default" },
  {
    label: "网关子设备",
    value: 2,
    elTagType: "default",
  },
  { label: "网关子设备", value: 3, elTagType: "default" },
];

export const vertificateMethodDict = [
  { label: "简单认证", value: 1, elTagType: "default" },
  {
    label: "加密认证",
    value: 2,
    elTagType: "default",
  },
  { label: "简单+加密", value: 3, elTagType: "default" },
];
export const dataTypeDict = [
  {
    label: "整数",
    value: "integer",
  },
  {
    label: "小数",
    value: "decimal",
  },
  {
    label: "布尔",
    value: "bool",
  },
  {
    label: "枚举",
    value: "enum",
  },
  {
    label: "字符串",
    value: "string",
  },
  {
    label: "数组",
    value: "array",
  },
];
export const isSysDict = [
  { label: "否", value: 0, elTagType: "default" },
  {
    label: "是",
    value: 1,
    elTagType: "default",
  },
];
export const modelTypeDict = [
  {
    label: "属性",
    value: 1,
    elTagType: "success",
  },
  {
    label: "功能",
    value: 2,
    elTagType: "warning",
  },
  {
    label: "事件",
    value: 3,
    elTagType: "primary",
  },
];

export const productStatusMap = [
  {
    label: "未发布",
    value: 1,
    elTagType: "info",
  },
  {
    label: "已发布",
    value: 2,
    elTagType: "success",
  },
];

export const firmwareLatestTypeOptions = [
  {
    label: "否",
    value: 0,
    elTagType: "danger",
  },
  {
    label: "是",
    value: 1,
    elTagType: "success",
  },
];

export const locationWayMap = [
  {
    label: "自动定位",
    value: 1,
  },
  {
    label: "设备定位",
    value: 2,
  },
  {
    label: "自定义",
    value: 3,
  },
];

// 1-未激活，2-禁用，3-在线，4-离线
export const deviceStatusMap = [
  {
    label: "未激活",
    value: 1,
    elTagType: "info",
  },
  {
    label: "禁用",
    value: 2,
    elTagType: "danger",
  },
  {
    label: "在线",
    value: 3,
    elTagType: "success",
  },
  {
    label: "离线",
    value: 4,
    elTagType: "warning",
  },
];

export const alertStatusDict = [
  {
    label: "启动",
    value: 1,
    elTagType: "success",
  },
  {
    label: "停止",
    value: 2,
    elTagType: "danger",
  },
];

export const isOnlyReadDict = [
  {
    label: "否",
    value: 0,
    elTagType: "success",
  },
  {
    label: "是",
    value: 1,
    elTagType: "warning",
  },
];

export const isShadowDict = [
  {
    label: "禁用",
    value: 0,
    elTagType: "danger",
  },
  {
    label: "启用",
    value: 1,
    elTagType: "success",
  },
];
export const tenantStatusOptions = [
  {
    label: "正常",
    value: "0",
    elTagType: "success",
  },
  {
    label: "禁用",
    value: "1",
    elTagType: "danger",
  },
];

export const deviceGroupStatusDict = [
  {
    label: "正常",
    value: "0",
    elTagType: "success",
  },
  {
    label: "禁用",
    value: "1",
    elTagType: "danger",
  },
];
